Ask Your Question
0

Why has DisparityWLSFilter been removed from OpenCV 3.0.0?

asked 2015-11-13 03:57:04 -0500

Boogaloo gravatar image

updated 2015-11-13 04:54:40 -0500

I've been trying to build on OpenCV 3.0.0 the extra modules sample that uses post filtering to improve the stereo matching depth map, but the support functions such as DisparityWLSFilter generate unresolved errors.

[I later downloaded the contrib release for 3.0.0. but it has disparity_filter.cpp removed] - see https://github.com/Itseez/opencv_cont...

Does anyone know the situation, and what is the best way to build this sample?

edit retag flag offensive close merge delete

Comments

Have you download opencv_contrib? I can find it in ximgproc\samples\disparity_filtering.cpp(242)

LBerger gravatar imageLBerger ( 2015-11-13 04:03:03 -0500 )edit

Yes, but it's not been updated to match OpenCV 3.0.0

Boogaloo gravatar imageBoogaloo ( 2015-11-13 04:32:32 -0500 )edit

What do you mean ? Ican build and run this sample using opencv 3.0-dev with VS2013

LBerger gravatar imageLBerger ( 2015-11-13 04:44:44 -0500 )edit

The version of contrib for 3.0.0 [I'm using OpenCV 3.0.0], available here https://github.com/Itseez/opencv_cont... no longer has disparity_filter.cpp - all of the related code has been stripped now. Trying to compile into 3.0.0. with the older contrib that does have it generates many errors.

Boogaloo gravatar imageBoogaloo ( 2015-11-13 04:52:46 -0500 )edit
LBerger gravatar imageLBerger ( 2015-11-13 05:06:54 -0500 )edit

I have got this

LBerger gravatar imageLBerger ( 2015-11-13 05:07:21 -0500 )edit

I´ve just checked, and none of the opencv_contrib downloads releases 3.0.0, 3.0.0-rc1 or -beta have the disparity_filter code. Are you using opencv "master" download, off the main page of contribs on GitHub with OpenCV 3.0-dev, unmodified, and disparity_filtering.cpp sample is working?

Boogaloo gravatar imageBoogaloo ( 2015-11-13 05:07:40 -0500 )edit

Okay, you have the master contribs, which does have disparity_filtering sample. Do you have it compiled and working with OpenCV 3.0.0-dev? (Dev is the 3.0-beta download right?)

Boogaloo gravatar imageBoogaloo ( 2015-11-13 05:09:21 -0500 )edit

1 answer

Sort by » oldest newest most voted
2

answered 2015-11-13 05:33:58 -0500

mshabunin gravatar image

Disparity filters are only available in development version (latest master branch revisions of both opencv and opencv_contrib repositories). Releases 3.0, 3.0-beta, 3.0-alpha do not have this functionality and are not compatible with current state of opencv_contrib repository.

You can download latest development version of sources from GitHub:

Or clone corresponding repositories and checkout master branch.

edit flag offensive delete link more

Comments

Thanks for that! Is there a reason that it isn't included in the main release? Do the disparity filters work with the transparent API with OpenCL support in these "master" versions?

Boogaloo gravatar imageBoogaloo ( 2015-11-13 05:48:10 -0500 )edit

Now that I have the 3.0.0-dev and contribs releases, the VS Community 2015 compiler is crashing, C1001, internal error. Seems to be a problem others are finding: http://stackoverflow.com/questions/33...

Boogaloo gravatar imageBoogaloo ( 2015-11-13 11:29:08 -0500 )edit

The diparity filtering was implemented during this Google Summer of Code: http://opencv.org/gsoc-2015-video.html in August and latest release (3.0) was made in June.

As for VS 2015 issues: we currently have such builder on buildbot (http://pullrequest.opencv.org/#/summary/) and it works well without CUDA part. Maybe problem is in CUDA modules, which are enabled by default if CUDA libraries are available. Try to make clean build with -DWITH_CUDA=OFF cmake parameter.

mshabunin gravatar imagemshabunin ( 2015-11-16 04:14:16 -0500 )edit
Login/Signup to Answer

Question Tools

2 followers

Stats

Asked: 2015-11-13 03:57:04 -0500

Seen: 617 times

Last updated: Nov 13 '15